Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
[Java] Class MapWithDefault

    java.lang.Object
      groovy.lang.MapWithDefault

All Implemented Interfaces:
  Map

    public final class MapWithDefault
    extends Object

A wrapper for Map which allows a default value to be specified.

Authors:
  Paul King

Since:
  1.7.1

Method Summary
`void` | `clear()`
`boolean` | `containsKey(Object key)`
`boolean` | `containsValue(Object value)`
`Set` | `entrySet()`
`boolean` | `equals(Object obj)`
`V` | `get(Object key)`
`int` | `hashCode()`
`boolean` | `isEmpty()`
`Set` | `keySet()`
`static Map` | `newInstance(Map m, Closure initClosure)`
`V` | `put(K key, V value)`
`void` | `putAll(Map m)`
`V` | `remove(Object key)`
`int` | `size()`
`Collection` | `values()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### clear

    public void clear()

### containsKey

    public boolean containsKey(Object key)

### containsValue

    public boolean containsValue(Object value)

### entrySet

    public Set entrySet()

### equals

    @Override
    public boolean equals(Object obj)

### get

    public V get(Object key)

### hashCode

    @Override
    public int hashCode()

### isEmpty

    public boolean isEmpty()

### keySet

    public Set keySet()

### newInstance

    public static Map newInstance(Map m, Closure initClosure)

### put

    public V put(K key, V value)

### putAll

    public void putAll(Map m)

### remove

    public V remove(Object key)

### size

    public int size()

### values

    public Collection values()

Copyright © 2003-2010 The Codehaus. All rights reserved.